VirtualBox Main API

Public Attributes | List of all members
IParallelPort Interface Reference

The IParallelPort interface represents the virtual parallel port device. More...

Inheritance diagram for IParallelPort:

## Public Attributes
readonly attribute unsigned long | slot
| Slot number this parallel port is plugged into.
attribute boolean | enabled
| Flag whether the parallel port is enabled.
attribute unsigned long | IOBase
| Base I/O address of the parallel port.
attribute unsigned long | IRQ
| IRQ number of the parallel port.
attribute wstring | path
| Host parallel device name.

## Detailed Description

The IParallelPort interface represents the virtual parallel port device.

The virtual parallel port device acts like an ordinary parallel port inside the virtual machine. This device communicates to the real parallel port hardware using the name of the parallel device on the host computer specified in the path attribute.

Each virtual parallel port device is assigned a base I/O address and an IRQ number that will be reported to the guest operating system and used to operate the given parallel port from within the virtual machine.

See also
  IMachine::getParallelPort

Interface ID:
  `{788B87DF-7708-444B-9EEF-C116CE423D39}`

## Member Data Documentation

## ◆ slot

readonly attribute unsigned long IParallelPort::slot

Slot number this parallel port is plugged into.

Corresponds to the value you pass to IMachine::getParallelPort to obtain this instance.

## ◆ enabled

attribute boolean IParallelPort::enabled

Flag whether the parallel port is enabled.

If disabled, the parallel port will not be reported to the guest OS.

## ◆ IOBase

attribute unsigned long IParallelPort::IOBase

Base I/O address of the parallel port.

Only for X86-based platforms.

## ◆ IRQ

attribute unsigned long IParallelPort::IRQ

IRQ number of the parallel port.

Only for X86-based platforms.

## ◆ path

attribute wstring IParallelPort::path

Host parallel device name.

If this parallel port is enabled, setting a `null` or an empty string as this attribute's value will result in the parallel port behaving as if not connected to any device.